#! /bin/sh

# .wwf toolkit - Windows installation - Copyright 2011 J.L. Bezemer
# You can redistribute this file and/or modify it under
# the terms of the GNU General Public License

if [ "$#" -eq 0 ]; then
   echo "Usage: installwin.sh DRIVE, e.g. installwin.sh c"
   exit
else
   echo "** INSTALLING .wwf toolkit (Windows) **"
   echo "- Searching Ghostscript - WAIT!"
fi

DRIVE=`echo "$1" | tr A-Z a-z`
GS_INSTALLED=`find /"$DRIVE"/ -name gswin32c.exe 2> /dev/null`

GS_VER[0]=9.04
GS_VER[1]=9.02
GS_VER[2]=9.01
GS_VER[3]=9.00
GS_VER[4]=8.71
GS_VER[5]=8.64
GS_VER[6]=8.63
GS_VER[7]=8.62
GS_VER[8]=8.61
GS_VER[9]=8.60
GS_VER[10]=8.57
GS_VER[11]=8.56
GS_VER[12]=8.54

for ver in 0 1 2 3 4 5 6 7 8 9 10 11 12
do
  GS_EXE=`echo "$GS_INSTALLED" | grep ${GS_VER[$ver]}`
  if [ `echo "$GS_EXE" | wc -l` -eq 1 ]; then
     break;
  fi
done

if [ `echo "$GS_EXE" | wc -l` -ne 1 ]; then
   echo "- Could not find Ghostscript executable, aborting."
   exit
fi

if [ ! -d /usr/share/wwftk ]; then
   mkdir -p /usr/share/wwftk
fi

cp wwf128.ico /usr/share/wwftk

if [ "$?" -eq 0 ]; then
   echo "- Installing icons.."
else
   echo "- Could not install wwf128.ico, aborting."
   exit
fi

echo "- Installing batch files.."
echo -n "bg_start ..\..\bin\sh.exe --login -c wwf2pdf" > /usr/share/wwftk/bg_wwf2pdf.bat
echo -e "\r" >> /usr/share/wwftk/bg_wwf2pdf.bat
echo -n "bg_start ..\..\bin\sh.exe --login -c pdf2wwf" > /usr/share/wwftk/bg_pdf2wwf.bat
echo -e "\r" >> /usr/share/wwftk/bg_pdf2wwf.bat

if [ ! -d /usr/local/bin ]; then
   mkdir -p /usr/local/bin
fi

echo "- Installing whoami.."
echo "#!/bin/sh" > /usr/local/bin/whoami
echo "echo root" >> /usr/local/bin/whoami

echo "- Installing gs.."
echo "#!/bin/sh" > /usr/local/bin/gs
echo "exec \""$GS_EXE"\" \"\$@\"" >> /usr/local/bin/gs

shift; cd ..
exec sh installwwf.sh "$@"
